# Class BasicTabbedPaneUI.MouseHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `BasicTabbedPaneUI`

public class BasicTabbedPaneUI.MouseHandler extends MouseAdapter
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

## Constructor Summary

Constructors
Constructor
Description
`MouseHandler()`
Constructs a `MouseHandler`.

## Method Summary

### Methods declared in class MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MouseHandler

public MouseHandler()
Constructs a `MouseHandler`.